VERSION 5.00
Begin VB.Form frmDB 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Database manipulation"
   ClientHeight    =   4770
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   5250
   ForeColor       =   &H8000000F&
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form3"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4770
   ScaleWidth      =   5250
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command3 
      Caption         =   "Remove items by folder"
      Height          =   405
      Left            =   1440
      TabIndex        =   3
      Top             =   3165
      Width           =   2340
   End
   Begin VB.TextBox txtFolder 
      Height          =   285
      Left            =   795
      TabIndex        =   4
      Text            =   "C:\WINDOWS\"
      Top             =   3720
      Width           =   4185
   End
   Begin VB.CommandButton Command4 
      Caption         =   "Compact database"
      Height          =   405
      Left            =   1440
      TabIndex        =   0
      Top             =   4170
      Width           =   2340
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Remove invalid items"
      Height          =   405
      Left            =   1440
      TabIndex        =   2
      Top             =   2640
      Width           =   2340
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Remove all items"
      Height          =   405
      Left            =   1440
      TabIndex        =   1
      Top             =   2115
      Width           =   2340
   End
   Begin VB.Frame Frame2 
      Caption         =   "Database info"
      Height          =   1695
      Left            =   60
      TabIndex        =   5
      Top             =   120
      Width           =   5115
      Begin VB.Label lblInfo 
         AutoSize        =   -1  'True
         BackColor       =   &H80000005&
         BorderStyle     =   1  'Fixed Single
         ForeColor       =   &H80000008&
         Height          =   600
         Index           =   0
         Left            =   1065
         TabIndex        =   11
         Top             =   300
         Width           =   3870
         WordWrap        =   -1  'True
      End
      Begin VB.Label lblInfo 
         BackColor       =   &H80000005&
         BorderStyle     =   1  'Fixed Single
         ForeColor       =   &H80000008&
         Height          =   255
         Index           =   2
         Left            =   1065
         TabIndex        =   10
         Top             =   1275
         Width           =   3870
      End
      Begin VB.Label lblCaption 
         AutoSize        =   -1  'True
         Caption         =   "Thumbnails :"
         Height          =   195
         Index           =   2
         Left            =   90
         TabIndex        =   9
         Top             =   1305
         Width           =   900
      End
      Begin VB.Label lblInfo 
         BackColor       =   &H80000005&
         BorderStyle     =   1  'Fixed Single
         ForeColor       =   &H80000008&
         Height          =   255
         Index           =   1
         Left            =   1065
         TabIndex        =   8
         Top             =   960
         Width           =   3870
      End
      Begin VB.Label lblCaption 
         AutoSize        =   -1  'True
         Caption         =   "Size :"
         Height          =   195
         Index           =   3
         Left            =   600
         TabIndex        =   7
         Top             =   990
         Width           =   390
      End
      Begin VB.Label lblCaption 
         AutoSize        =   -1  'True
         Caption         =   "Path :"
         Height          =   195
         Index           =   7
         Left            =   570
         TabIndex        =   6
         Top             =   300
         Width           =   420
      End
   End
   Begin VB.Label lblCaption 
      AutoSize        =   -1  'True
      Caption         =   "Folder :"
      Height          =   195
      Index           =   0
      Left            =   195
      TabIndex        =   12
      Top             =   3735
      Width           =   525
   End
End
Attribute VB_Name = "frmDB"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


Option Explicit


Private Sub Form_Load()

  On Error Resume Next
    
    ' Fill database info
    With frmMain.Thumbnailer
        lblInfo(0) = .DB.Path   ' .DBPath
        lblInfo(1) = FormatSize(.DB.Size)
        lblInfo(2) = .DB.Items
    End With

End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)

  On Error Resume Next
  
    If KeyCode = vbKeyEscape Then Call Unload(Me)

End Sub

Private Sub Form_Unload(Cancel As Integer)

  On Error Resume Next

    Set frmDB = Nothing

End Sub


















' Removes all items from the database
Private Sub Command1_Click()

  On Error Resume Next

    With frmMain.Thumbnailer.DB
        MousePointer = vbHourglass
        ' Remove all items
        If .RemoveAll Then
            ' Refresh info
            lblInfo(1) = FormatSize(.Size)
            lblInfo(2) = .Items
        End If
        MousePointer = vbDefault
    End With

End Sub

' Removes all invalid items from the database
Private Sub Command2_Click()

  On Error Resume Next

    With frmMain.Thumbnailer.DB
        MousePointer = vbHourglass
        ' Remove invalid items
        If .RemoveInvalid Then
            ' Refresh info
            lblInfo(1) = FormatSize(.Size)
            lblInfo(2) = .Items
        End If
        MousePointer = vbDefault
    End With

End Sub

' Removes from the database all items from a specified path
Private Sub Command3_Click()

  On Error Resume Next

    With frmMain.Thumbnailer.DB
        ' If a folder path is specified
        If Len(txtFolder) > 0 Then
            MousePointer = vbHourglass
            ' Remove specified folder items
            If .RemoveFolder(txtFolder) Then
                ' Refresh info
                lblInfo(1) = FormatSize(.Size)
                lblInfo(2) = .Items
            End If
            MousePointer = vbDefault
        End If
    End With

End Sub

' Compacts the database
Private Sub Command4_Click()

  On Error Resume Next

    With frmMain.Thumbnailer.DB
        MousePointer = vbHourglass
        ' Compact DB
        If .Compact Then
            ' Refresh DB size
            lblInfo(1) = FormatSize(.Size)
        End If
        MousePointer = vbDefault
    End With

End Sub



